/***************************** LICENSE START ***********************************

 Copyright 2014 ECMWF and INPE. This software is distributed under the terms
 of the Apache License version 2.0. In applying this license, ECMWF does not
 waive the privileges and immunities granted to it by virtue of its status as
 an Intergovernmental Organization or submit itself to any jurisdiction.

 ***************************** LICENSE END *************************************/

#ifndef ActionCommand_H
#define ActionCommand_H

#include "Command.h"

class ActionCommand : public Command {
public:
	ActionCommand(const string& name);
	virtual ~ActionCommand(); 

	virtual void execute(IconObject*);
	static void execute(const string&,IconObject*);

private:
	// No copy allowed
	ActionCommand(const ActionCommand&);
	ActionCommand& operator=(const ActionCommand&);
};

#endif
